<div class="room-page clearfix">
  <div class="msg-left">
      <% if @work.deleted_at? %>
        <h3><%= @work.title %>(削除済み)</h3>
      <% else %>
        <%= link_to work_path(@work) do %>
          <h3><%= @work.title %></h3>
        <% end %>
      <% end %>
    <div class="status_change">
      <%= render 'shared/error_messages' %>
      <% entry = @room.entry %>
      <% if current_user == @work.user && @room.entry.working_status_i18n != "処理済み" %>
        <%= form_for(@room.entry, method: :patch)do |f| %>
          <%= f.select :working_status, Entry.working_statuses_i18n.keys.map { |k| [Entry.working_statuses_i18n[k], k] } %>
          <%= f.submit %>
        <% end %>
      <% elsif @room.entry.working_status_i18n == "処理済み" && current_user == entry.user && entry.employer_evaluation == nil %>
        <p>1~5で評価してください</p>
        <% 5.times do |n| %>
          <% n+= 1 %>
          <div class="evaluation-num">
            <%= link_to n.to_s, employer_evaluations_path(num: n, entry_id: entry.id), method: :post %>
          </div>
        <% end %>
      <% elsif @room.entry.working_status_i18n == "処理済み" && current_user == @work.user && entry.labor_evaluation == nil %> 
        <p>1~5で評価してください</p>
        <% 5.times do |n| %>
          <% n+= 1 %>
          <div class='evaluation-num'>
            <%= link_to n.to_s, labor_evaluations_path(num: n, entry_id: entry.id), method: :post %>
          </div>
        <% end %>
      <% elsif @room.entry.working_status_i18n == "処理済み" %>
        <p>処理済み</p>
      <% end %>
    </div>
    <div class="message_field">
      <% if @message != nil %>
        <%= render 'layouts/errors', obj: @message %>
      <% end %>
      <%= form_for(Message.new, remote: true) do |f| %>
        <%= f.text_area :message, :size=>"40x10", id: 'text-area' %>
        <%= hidden_field_tag :room_id, @room.id %>
        <%= f.submit 'メッセージを送信', class: 'btn', remote: true, method: :post %>
      <% end %>
    </div>
  </div>
  <div class="message_lists">
    <%= render 'shared/message_lists', room: @room, entry: @entry %>
  </div>
</div>